/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ContextErrorBanner } from './context-error-banner.component';
import { ErrorContextKey, errorFeatureKey } from '../../../state/error';
import { provideMockStore } from '@ngrx/store/testing';
import { initialState as initialErrorState } from '../../../state/error/error.reducer';

describe('ContextErrorBanner', () => {
    let component: ContextErrorBanner;
    let fixture: ComponentFixture<ContextErrorBanner>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            imports: [ContextErrorBanner],
            providers: [
                provideMockStore({
                    initialState: {
                        [errorFeatureKey]: initialErrorState
                    }
                })
            ]
        }).compileComponents();

        fixture = TestBed.createComponent(ContextErrorBanner);
        component = fixture.componentInstance;
        component.context = ErrorContextKey.ACCESS_POLICIES;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
