/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

module.exports = {
    "customSyntax": "postcss-scss",
    "extends": "stylelint-config-standard",
    "rules": {
        "alpha-value-notation": null,
        "indentation": null,
        "at-rule-no-unknown": [true, {
            "ignoreAtRules": ["/include/", "/mixin/"]
        }],
        "declaration-empty-line-before": null,
        "declaration-block-no-redundant-longhand-properties": null,
        "function-no-unknown": null,
        "import-notation": null,
        "selector-type-no-unknown": [true, {
            "ignoreTypes": ["/mat-/", "/flow-designer-/", "/fds-/", "/td-/"]
        }],
        "font-family-no-missing-generic-family-keyword": null
    }
};
